from odoo.upgrade import util


def migrate(cr, version):
    # https://github.com/odoo/enterprise/pull/39367:
    # - both `country_id` and `industry_id` fields has been removed from
    #   sale.order, but we need to keep them as we have hundreds of ir.filter
    #   on them. So here, we renamed them before the standard script tries to
    #   remove them (allowing to keeping related filter and dashboard actions)
    util.rename_field(cr, "sale.order", "country_id", "bak_country_id")
    util.rename_field(cr, "sale.order", "industry_id", "bak_industry_id")
